//+------------------------------------------------------------------+
//|                                  Triggerlines Shift Modified.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        modif |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
//---- indicator settings
#property  indicator_chart_window
#property  indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue
//---- buffers
double ExtMapBuffer1[],ExtMapBuffer2[]; 
int width;
//----
extern int RP=24;

//----
int shift, i;
int loopbegin, length;
//----
double lengthvar, tmp, tmp2 ;
double wt[], sum[], ma[],lh[], ls[], middle[];
int c;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- additional buffers are used for counting.
   IndicatorBuffers(6);
//---- drawing settings
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,2);
   SetIndexShift(0,0);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,2);
   SetIndexShift(1,0);
   SetIndexBuffer(2,sum);
   SetIndexBuffer(3,wt);
   SetIndexBuffer(4,ls);
   SetIndexBuffer(5,ma);
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {
                           
   length=RP;                                             
  
   for(shift=544; shift>=0; shift--) 
     {
      sum[1]=0;
      for(i=RP; i>=1 ;i--)            
        {
         lengthvar=(RP + 1)/3.0;                                    
         tmp=0;
         tmp =(i - lengthvar)*Close[RP-i+shift];         
         sum[1]+=tmp;
        }
      wt[shift]=sum[1]*6/(RP*(RP+1));
      ma[shift]=wt[shift+1] + (wt[shift]-wt[shift+1])* 2.0/(RP+1.0);
     // ls[shift]=(wt[shift]+ma[shift])/2.0 ;
      ls[shift]=(wt[shift] + ma[shift])/2.0 ;
      
      //========== COLOR CODING =====================================+
      
         ExtMapBuffer1[shift]=ls[shift];
         ExtMapBuffer2[shift]=ls[shift];
     if (ls[shift]< ls[shift+1])
        {ExtMapBuffer2[shift]=EMPTY_VALUE;}
     }
  }
//+------------------------------------------------------------------+

